package com.ruoyi.demo.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.Statistics;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.entity.bo.StatisticsAddBo;
import com.ruoyi.demo.entity.vo.PlanHomeVo;
import com.ruoyi.demo.entity.vo.ScanListVo;
import com.ruoyi.demo.entity.vo.TimeAndCountVo;

import java.util.List;
import java.util.Map;

public interface StatisticsService {
    PageInfo<List<ScanListVo>> getScanList(PlanBo bo);
    PlanHomeVo getScanTotal();

    String getSign(StatisticsAddBo bo);
    int add(StatisticsAddBo bo);

    Map<String,Integer> getTimeDis(String option);
    List<TimeAndCountVo> getTimeDisToVo(String option);
}
